summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog19
-rw-r--r--Makefile.am2
-rwxr-xr-xautogen.sh69
-rw-r--r--configure.in7
-rw-r--r--initscript/Gentoo/.cvsignore2
-rw-r--r--initscript/RedHat/.cvsignore2
-rw-r--r--panel-applet/Makefile.am11
-rw-r--r--panel-applet/NMWirelessApplet.c19
-rw-r--r--po/.cvsignore14
-rw-r--r--po/NetworkManager.pot61
-rw-r--r--po/POTFILES.in2
11 files changed, 135 insertions, 73 deletions
diff --git a/ChangeLog b/ChangeLog
index 0cebb7b241..f24ad3c49e 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,22 @@
+Thu Aug 26 15:12:36 2004 Jonathan Blandford <jrb@redhat.com>
+
+ * Makefile.am: add po as a supdir
+
+ * autogen.sh: use gnome-autogen.sh
+
+ * initscript/Gentoo/.cvsignore:
+ * initscript/RedHat/.cvsignore: Shut up cvs
+
+ * panel-applet/Makefile.am: Define GNOMELOCALEDIR for bonobo.
+
+ * panel-applet/NMWirelessApplet.c: (nmwa_populate_menu),
+ (nmwa_fill): Use gettext.
+
+ * configure.in: add gettext support
+ * po/.cvsignore:
+ * po/NetworkManager.pot:
+ * po/POTFILES.in:
+
2004-08-26 Seth Nickell <seth@gnome.org>
* panel-applet/NMWirelessApplet.c: (nmwa_destroy),
diff --git a/Makefile.am b/Makefile.am
index 97f3488308..d94469c1db 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,3 +1,3 @@
-SUBDIRS = src dispatcher-daemon info-daemon panel-applet initscript test
+SUBDIRS = src dispatcher-daemon info-daemon panel-applet initscript test po
EXTRA_DIST = CONTRIBUTING
diff --git a/autogen.sh b/autogen.sh
index 8f7c61d442..a277576cad 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -3,66 +3,21 @@
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-
-ORIGDIR=`pwd`
-cd $srcdir
-PROJECT=NetworkManager
-TEST_TYPE=-d
-FILE=src
-
-DIE=0
-
-if $have_libtool ; then : ; else
- echo
- echo "You must have libtool 1.4 installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/libtool/"
- DIE=1
-fi
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have autoconf installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
- DIE=1
+REQUIRED_AUTOMAKE_VERSION=1.7
+PKG_NAME=NetworkManager
+
+(test -f $srcdir/configure.in \
+ && test -f $srcdir/src/NetworkManager.h) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
}
-if automake --version < /dev/null > /dev/null 2>&1 ; then
- AUTOMAKE=automake
- ACLOCAL=aclocal
-else
- echo
- echo "You must have automake 1.7.x installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
- DIE=1
-fi
-if test "$DIE" -eq 1; then
- exit 1
-fi
-
-test $TEST_TYPE $FILE || {
- echo "You must run this script in the top-level $PROJECT directory"
- exit 1
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
}
+USE_GNOME2_MACROS=1 . gnome-autogen.sh
-if test -z "$AUTOGEN_SUBDIR_MODE"; then
- if test -z "$*"; then
- echo "I am going to run ./configure with no arguments - if you wish "
- echo "to pass any to it, please specify them on the $0 command line."
- fi
-fi
-
-$ACLOCAL -I . $ACLOCALFLAGS || exit $?
-$AUTOMAKE --add-missing || exit $?
-autoconf || exit $?
-cd $ORIGDIR || exit $?
-
-if test -z "$AUTOGEN_SUBDIR_MODE"; then
- $srcdir/configure --enable-maintainer-mode $AUTOGEN_CONFIGURE_ARGS "$@" || exit $?
- echo
- echo "Now type 'make' to compile $PROJECT."
-fi
diff --git a/configure.in b/configure.in
index 65d07b91c4..dea715b8f7 100644
--- a/configure.in
+++ b/configure.in
@@ -6,6 +6,12 @@ AM_INIT_AUTOMAKE([subdir-objects])
AC_PROG_CC
AM_PROG_CC_C_O
+GETTEXT_PACKAGE=NetworkManager
+AC_SUBST(GETTEXT_PACKAGE)
+AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE,"$GETTEXT_PACKAGE", [Gettext package])
+ALL_LINGUAS=""
+AM_GLIB_GNU_GETTEXT
+
AC_ARG_WITH(distro,
[
--with-distro: Specify the Linux distribution to target with distro-specific
@@ -108,6 +114,7 @@ test/Makefile
initscript/Makefile
initscript/RedHat/Makefile
initscript/Gentoo/Makefile
+po/Makefile.in
])
echo
diff --git a/initscript/Gentoo/.cvsignore b/initscript/Gentoo/.cvsignore
new file mode 100644
index 0000000000..282522db03
--- /dev/null
+++ b/initscript/Gentoo/.cvsignore
@@ -0,0 +1,2 @@
+Makefile
+Makefile.in
diff --git a/initscript/RedHat/.cvsignore b/initscript/RedHat/.cvsignore
new file mode 100644
index 0000000000..282522db03
--- /dev/null
+++ b/initscript/RedHat/.cvsignore
@@ -0,0 +1,2 @@
+Makefile
+Makefile.in
diff --git a/panel-applet/Makefile.am b/panel-applet/Makefile.am
index 27afb988b0..cc119760ac 100644
--- a/panel-applet/Makefile.am
+++ b/panel-applet/Makefile.am
@@ -2,14 +2,15 @@ NULL=
INCLUDES = \
$(NM_CFLAGS) \
- $(GLADE_CFLAGS) \
+ $(GLADE_CFLAGS) \
$(DBUS_CFLAGS) \
$(DBUS_GLIB_CFLAGS) \
- $(PANEL_APPLET_CFLAGS) \
- -DICONDIR=\""$(datadir)/pixmaps"\" \
- -DG_DISABLE_DEPRECATED \
+ $(PANEL_APPLET_CFLAGS) \
+ -DICONDIR=\""$(datadir)/pixmaps"\" \
+ -DG_DISABLE_DEPRECATED \
-DGDK_DISABLE_DEPRECATED \
- -DGNOME_DISABLE_DEPRECATED \
+ -DGNOME_DISABLE_DEPRECATED \
+ -DGNOMELOCALEDIR=\""$(prefix)/$(DATADIRNAME)/locale"\" \
$(NULL)
libexec_PROGRAMS = NMWirelessApplet
diff --git a/panel-applet/NMWirelessApplet.c b/panel-applet/NMWirelessApplet.c
index de6004bac1..63b75651c6 100644
--- a/panel-applet/NMWirelessApplet.c
+++ b/panel-applet/NMWirelessApplet.c
@@ -560,19 +560,19 @@ fprintf( stderr, "populate_menu() state (%d)\n", applet->applet_state);
switch (applet->applet_state)
{
case (APPLET_STATE_NO_NM):
- nmwa_add_menu_item (applet, menu, "NetworkManager is not running...",
- NULL, FALSE, FALSE);
+ nmwa_add_menu_item (applet, menu, _("NetworkManager is not running..."),
+ NULL, FALSE, FALSE);
break;
case (APPLET_STATE_NO_CONNECTION):
- nmwa_add_menu_item (applet, menu, "No network connection is currently active...",
- NULL, FALSE, FALSE);
+ nmwa_add_menu_item (applet, menu, _("No network connection is currently active..."),
+ NULL, FALSE, FALSE);
break;
case (APPLET_STATE_WIRED):
case (APPLET_STATE_WIRED_CONNECTING):
- nmwa_add_menu_item (applet, menu, "A wired network connection is currently active...",
- NULL, FALSE, FALSE);
+ nmwa_add_menu_item (applet, menu, _("A wired network connection is currently active..."),
+ NULL, FALSE, FALSE);
break;
case (APPLET_STATE_WIRELESS):
@@ -581,8 +581,8 @@ fprintf( stderr, "populate_menu() state (%d)\n", applet->applet_state);
GSList *element = applet->networks;
g_mutex_lock (applet->networks_mutex);
if (!element)
- nmwa_add_menu_item (applet, menu, "There are no wireless networks...",
- NULL, FALSE, FALSE);
+ nmwa_add_menu_item (applet, menu, _("There are no wireless networks..."),
+ NULL, FALSE, FALSE);
else
{
/* Add all networks in our network list to the menu */
@@ -797,8 +797,7 @@ static gboolean nmwa_fill (NMWirelessApplet *applet)
"NMWirelessApplet/wireless-applet.glade", FALSE, NULL);
if (!glade_file)
{
- show_warning_dialog (TRUE, "The NetworkManager Applet could not find some required"
- "resources (the glade file was not found).");
+ show_warning_dialog (TRUE, _("The NetworkManager Applet could not find some required resources (the glade file was not found)."));
return (FALSE);
}
diff --git a/po/.cvsignore b/po/.cvsignore
new file mode 100644
index 0000000000..f7bc4e41a6
--- /dev/null
+++ b/po/.cvsignore
@@ -0,0 +1,14 @@
+*.gmo
+*.mo
+Makefile
+Makefile.in
+Makefile.in.in
+POTFILES
+cat-id-tbl.c
+*.pot
+stamp-cat-id
+messages
+missing
+po2tbl.sed
+po2tbl.sed.in
+notexist
diff --git a/po/NetworkManager.pot b/po/NetworkManager.pot
new file mode 100644
index 0000000000..cee19659bd
--- /dev/null
+++ b/po/NetworkManager.pot
@@ -0,0 +1,61 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2004-08-26 15:11-0400\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: panel-applet/NMWirelessApplet.c:563
+msgid "NetworkManager is not running..."
+msgstr ""
+
+#: panel-applet/NMWirelessApplet.c:568
+msgid "No network connection is currently active..."
+msgstr ""
+
+#: panel-applet/NMWirelessApplet.c:574
+msgid "A wired network connection is currently active..."
+msgstr ""
+
+#: panel-applet/NMWirelessApplet.c:584
+msgid "There are no wireless networks..."
+msgstr ""
+
+#: panel-applet/NMWirelessApplet.c:800
+msgid ""
+"The NetworkManager Applet could not find some required resources (the glade "
+"file was not found)."
+msgstr ""
+
+#: panel-applet/wireless-applet.glade:8
+msgid " "
+msgstr ""
+
+#: panel-applet/wireless-applet.glade:51
+msgid "_Login to Network"
+msgstr ""
+
+#: panel-applet/wireless-applet.glade:100
+msgid ""
+"<span weight=\"bold\" size=\"larger\">Wireless Network Login Confirmation</"
+"span>\n"
+"\n"
+"You have chosen log in to the wireless network '%s'. If you are sure this "
+"wireless network is secure, click the checkbox below and NetworkManager will "
+"no longer pester you with stupid questions when you connect to it."
+msgstr ""
+
+#: panel-applet/wireless-applet.glade:124
+msgid "Always Trust this Wireless Network"
+msgstr ""
diff --git a/po/POTFILES.in b/po/POTFILES.in
new file mode 100644
index 0000000000..250b0d0ffb
--- /dev/null
+++ b/po/POTFILES.in
@@ -0,0 +1,2 @@
+panel-applet/NMWirelessApplet.c
+panel-applet/wireless-applet.glade